## rmdir

#### OS/161 Reference Manual

### Name

rmdir - remove directory

### Synopsis

/bin/rmdir directory

### Description

rmdir removes the specified directory. The directory must be empty.

It is an error to attempt to remove the . or .. names in a directory, or to apply rmdir to a filesystem object that is not a directory.

### Requirements

rmdir uses the following system calls:

- rmdir
- write
- _exit

rmdir should function properly once the file system assignment is completed.

### Restrictions

emufs does not support rmdir. (This is intentional.)

### See Also

mkdir, rm